Retrieve webhook delivery
curl --request GET \
--url https://api.engine.usesophic.com/webhook-deliveries/{delivery_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/webhook-deliveries/{delivery_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/webhook-deliveries/{delivery_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempts": [
{
"created_at": "2023-11-07T05:31:56Z",
"error": {
"error_type": "http",
"message": "<string>"
},
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"outcome": "succeeded",
"response": {
"duration": 125,
"status": 200
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"event": "<string>",
"failed_at": "2026-07-14T09:30:00Z",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2026-07-14T09:35:00Z",
"payload": {},
"status": "pending",
"succeeded_at": "2026-07-14T09:30:00Z",
"webhook": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Webhooks
Retrieve webhook delivery
Retrieve a webhook delivery by ID.
GET
/
webhook-deliveries
/
{delivery_id}
Retrieve webhook delivery
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the webhook delivery to retrieve.
Response
OK
Delivery attempts.
Show child attributes
Show child attributes
ID of the event being delivered; null for test deliveries.
Time the delivery permanently failed.
Example:
"2026-07-14T09:30:00Z"
Unique resource identifier.
Time the next delivery attempt is scheduled.
Example:
"2026-07-14T09:35:00Z"
Delivery payload.
The delivery lifecycle status.
Available options:
pending, in_progress, succeeded, failed Time the delivery succeeded.
Example:
"2026-07-14T09:30:00Z"
ID of the webhook this delivery targets.